<%@ page import="java.io.*" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Vector" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Locale" %>
<%@ page import="java.text.NumberFormat" %>

<%
  String carrello=(String)session.getValue("MyShop.Carrello");
  BufferedReader input=null;
  double contributoSpeseSpedizione=30.0;
  
  if(carrello==null) {
          carrello="carrello"+session.getId()+".txt";
          session.putValue("MyShop.Carrello",carrello);
  }

  String filePath=getServletContext().getRealPath("")+"/WEB-INF/data/"+carrello;
  boolean carrelloVuoto=true;

  try {
          input=new BufferedReader(new FileReader(filePath));
          carrelloVuoto=input.readLine() == null;
          input.close();
  } catch (IOException e) { }

  String prodottiPath=getServletContext().getRealPath("")+"/MyShop/prodotti.txt";
  Vector prodotti=new Vector();
  String linea=null;

  try {
         input=new BufferedReader(new FileReader(prodottiPath));

         while((linea = input.readLine()) != null) {
                 prodotti.addElement(linea);
         }

         input.close();
  } catch (IOException e) { }
%>

<html>
<%@ include file="heading.jsp" %>
<body>
<table width="100%" border="0">
  <tr>
    <td colspan="2" class="blubg">
      <%@ include file="banner.jsp" %>
    </td>
  </tr>
  <tr>
    <td width="10%" class="blubg" valign="top">
      <%@ include file="menu.jsp" %>
    </td>
    <td align="center" width="90%">
      <%
        if(carrelloVuoto) {
      %>
        <div class="errore">&nbsp;</div>
        <div class="errore">Il tuo carrello &egrave; vuoto:<br>devi inserirvi dei prodotti prima di effettuare un ordine.</div>
        <div class="errore">&nbsp;</div>
      <%
        }
        else {
      %>
        <div class="intestazione">&nbsp;</div>
        <div class="intestazione">Modulo d'ordine:</div>
        <div class="intestazione">&nbsp;</div>
        <form method="post" action="invia.jsp">
        <table cellpadding="5">
          <tr>
            <td class="intestazione_form">
              Nome:&nbsp;
            </td>
            <td>
              <input type="text" name="nome" size="20">
            </td>
          </tr>
          <tr>
            <td class="intestazione_form">
              Cognome:&nbsp;
            </td>
            <td>
              <input type="text" name="cognome" size="20">
            </td>
          </tr>
          <tr>
            <td class="intestazione_form">
              Indirizzo:&nbsp;
            </td>
            <td>
              <input type="text" name="indirizzo" size="20">
            </td>
          </tr>
          <tr>
            <td class="intestazione_form">
              Modalit&agrave; di pagamento:&nbsp;
            </td>
            <td>
              <select name="pagamento">
                <option value="-">Seleziona un'opzione...</option>
                <option value="bonifico bancario">Bonifico bancario</option>
                <option value="contrassegno">Pagamento in contrassegno</option>
              </select>
            </td>
          </tr>
          <tr>
            <td class="intestazione_form">
              Modalit&agrave; di consegna:&nbsp;
            </td>
            <td>
              <select name="consegna">
                <option value="-">Seleziona un'opzione...</option>
                <option value="corriere espresso">Corriere espresso</option>
                <option value="posta celere">Posta celere</option>
              </select>
            </td>
          </tr>
        </table>
        <div class="intestazione">&nbsp;</div>
        <div class="intestazione">Prodotti:</div>
        <div class="intestazione">&nbsp;</div>
        <table border="0" cellpadding="5">
          <tr>
            <td class="intestazione_tabella">
              Prodotto
            </td>
            <td class="intestazione_tabella">
              Descrizione
            </td>
            <td class="intestazione_tabella">
              Prezzo unitario (&euro;)
            </td>
            <td class="intestazione_tabella">
              Quantit&agrave;
            </td>
            <td class="intestazione_tabella">
              Prezzo totale (&euro;)
            </td>
          </tr>
          <%
              input=new BufferedReader(new FileReader(filePath));
              int riga=0;
              double totale=0.0;
              NumberFormat fmt=NumberFormat.getInstance(Locale.ITALIAN);
              fmt.setMinimumFractionDigits(2);
              fmt.setMaximumFractionDigits(2);

              while((linea = input.readLine()) != null) {
                 riga++;
                 String[] celle = linea.split("#");
                 Enumeration e=prodotti.elements();
                    
                 while(e.hasMoreElements()) {
                    String p=(String)e.nextElement();

                    if(p.indexOf(celle[0]+"#")==0) {
                      String[] campi=p.split("#");
                      double prezzo=Float.parseFloat(campi[3].replace(',','.'))*Integer.parseInt(celle[1]);
          %>
                      <tr>
                        <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= campi[1]%></td>
                        <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= campi[2]%></td>
                        <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= fmt.format(Float.parseFloat(campi[3].replace(',','.')))%></td>
                        <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'>
                          <%= celle[1]%>
                        </td>
                        <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'><%= fmt.format(prezzo)%></td>
                      </tr>
          <%
                      totale+=Float.parseFloat(campi[3].replace(',','.'))*Integer.parseInt(celle[1]);
                      break;
                    }

                 }

              }
        
              input.close();
          %>
          <tr>
            <td colspan="5" align="right">
              Contributo fisso spese di spedizione: <%= fmt.format(contributoSpeseSpedizione)%> &euro;
            </td>
          </tr>
          <tr>
            <td colspan="5" align="right">
              Totale: <%= fmt.format(totale+contributoSpeseSpedizione)%> &euro;
            </td>
          </tr>
        </table>
        <div>
          <input type="submit" value="Invia &gt;&gt;">
        </div>
        </form>
      <%
        }
      %>
    </td>
  </tr>
  <tr>
    <td colspan="2">
      <%@ include file="footer.jsp" %>
    </td>
  </tr>
</table>
<body>

</html>